Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math3.analysis.interpolation
Class BicubicSplineInterpolator

    java.lang.Object
      org.apache.commons.math3.analysis.interpolation.BicubicSplineInterpolator

All Implemented Interfaces:
  BivariateGridInterpolator

Direct Known Subclasses:
  SmoothingPolynomialBicubicSplineInterpolator

    public class BicubicSplineInterpolator

extends Object
implements BivariateGridInterpolator

Generates a bicubic interpolating function.

Since:
  2.2
Version:
  $Id: BicubicSplineInterpolator.java 1385313 2012-09-16 16:35:23Z tn $

Constructor Summary
`BicubicSplineInterpolator()`

Method Summary
`BicubicSplineInterpolatingFunction` | `interpolate(double[] xval, double[] yval, double[][] fval)` Compute an interpolating function for the dataset.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BicubicSplineInterpolator

    public BicubicSplineInterpolator()

Method Detail

### interpolate

    public BicubicSplineInterpolatingFunction interpolate(double[] xval,
                                                          double[] yval,
                                                          double[][] fval)
                                                   throws NoDataException,
                                                          DimensionMismatchException,
                                                          NonMonotonicSequenceException

  Compute an interpolating function for the dataset.

  Specified by:
    `interpolate` in interface `BivariateGridInterpolator`
  Parameters:
    `xval` - All the x-coordinates of the interpolation points, sorted in increasing order.
    `yval` - All the y-coordinates of the interpolation points, sorted in increasing order.
    `fval` - The values of the interpolation points on all the grid knots: `fval[i][j] = f(xval[i], yval[j])`.
  Returns:
    a function which interpolates the dataset.
  Throws:
    `NoDataException` - if any of the arrays has zero length.
    `DimensionMismatchException` - if the array lengths are inconsistent.
    `NonMonotonicSequenceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013 The Apache Software Foundation. All Rights Reserved.